Bug 866942 - Seam2.3 seam-gen generated project is missing some lib/*.jar
Seam2.3 seam-gen generated project is missing some lib/*.jar
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Seam (Show other bugs)
2.1.0
Unspecified Unspecified
unspecified Severity high
: CR2
: 2.1.0
Assigned To: Marek Novotny
Marek Schmidt
Seam2.3
:
Depends On: 867390
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-16 07:22 EDT by Marek Schmidt
Modified: 2012-11-30 10:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 10:34:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
missing libraries in JBDS (3.74 KB, application/octet-stream)
2012-10-17 07:53 EDT, Tomas Remes
no flags Details
missing classpath libraries (1.64 KB, application/octet-stream)
2012-11-07 08:29 EST, Tomas Remes
no flags Details

  None (edit)
Description Marek Schmidt 2012-10-16 07:22:29 EDT
Description of problem:

seam-gen generated build.xml references non-existing glassfish-build.xml

Version-Release number of selected component (if applicable):
jboss-seam-2.3.0.Final-redhat-1

How reproducible:
Always

Steps to Reproduce:
1. seam setup
2. seam create-project
3. seam explode
  
Actual results:


$ ./seam explode
SEAM_HOME: /home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1
Using seam-gen sources from: /home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1/seam-gen
Buildfile: /home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1/seam-gen/build.xml

init:

init-properties:
     [echo] /home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1/tmp/jboss-eap-6.0

validate-workspace:

validate-project:

explode:
     [echo] Deploying project 'myproject' to JBoss AS as an exploded directory

BUILD FAILED
/home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1/seam-gen/build.xml:1641: The following error occurred while executing this line:
/home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1/tmp/myproject/build.xml:54: Cannot find /home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1/tmp/myproject/glassfish-build.xml imported from /home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1/tmp/myproject/build.xml

Total time: 0 seconds

Expected results:


It should explode the war into the EAP6 standalone/deployments

Additional info:


Note that removing the

 <import file="${basedir}/glassfish-build.xml"/>

line from build.xml does reveal another problem: 

BUILD FAILED
/home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1/seam-gen/build.xml:1641: The following error occurred while executing this line:
/home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1/tmp/myproject/build.xml:60: /home/maschmid/testing/wfk/wfk2.1.0.ER2/jboss-wfk-2.1.0.ER2/jboss-seam-2.3.0.Final-redhat-1/tmp/myproject/lib/test not found.
Comment 1 Tomas Remes 2012-10-17 07:53:45 EDT
Created attachment 628724 [details]
missing libraries in JBDS
Comment 2 Tomas Remes 2012-10-17 07:55:51 EDT
Besides above described problems there is wrong eclipse classpath in the generated projects therefore there are errors after importing projects to JBDS. See attachement for missing libs.
Comment 3 Marek Novotny 2012-10-17 08:25:20 EDT
Just fyi all missing lib/test/*.jar are expected. You need to launch 
ant -f get-arquillian-libs.xml -Dtest.lib.dir=$(pwd)/lib/test
This is due we are not distributing ARQ dependencies in WFK product.

But I found out additional issue that distro assembly of get-arquillian-libs.xml is wrongly in root of seam distribution, so you need to move it into seam-gen directory and then launch the getting of arquillian libs.
Comment 4 Marek Novotny 2012-10-19 06:48:24 EDT
I have removed remaining glassfish dirs and references.
Comment 6 Tomas Remes 2012-11-07 08:29:44 EST
Created attachment 640073 [details]
missing classpath libraries

Generated project is still missing some lib/*.jar. Its classpath is probably wrong. For missing libs see my latest attachement
Comment 9 Marek Schmidt 2012-11-15 11:28:02 EST
Verified on WFK 2.1.0.CR2
Comment 10 Karel Piwko 2012-11-30 10:34:31 EST
Distributed as a part of WFK 2.1.0.GA release.

Note You need to log in before you can comment on or make changes to this bug.